org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator

## Class OAuthConstants

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.authenticator.OAuthConstants

-     public class OAuthConstants
      extends Object

  Defines constants to be used inside oauth validators.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHENTICATOR_CONFIG_PATH`
    `static String` | `AUTHENTICATOR_NAME`
    `static String` | `AUTHORIZATION_HEADER_PREFIX_BASIC`
    `static String` | `AUTHORIZATION_HEADER_PREFIX_BEARER`
    `static String` | `BEARER_TOKEN_IDENTIFIER`
    `static String` | `BEARER_TOKEN_TYPE`
    `static String` | `RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORIZATION_HEADER_PREFIX_BEARER

          public static final String AUTHORIZATION_HEADER_PREFIX_BEARER

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_HEADER_PREFIX_BASIC

          public static final String AUTHORIZATION_HEADER_PREFIX_BASIC

      See Also:
        Constant Field Values

    - #### BEARER_TOKEN_TYPE

          public static final String BEARER_TOKEN_TYPE

      See Also:
        Constant Field Values

    - #### BEARER_TOKEN_IDENTIFIER

          public static final String BEARER_TOKEN_IDENTIFIER

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_NAME

          public static final String AUTHENTICATOR_NAME

      See Also:
        Constant Field Values

    - #### RESOURCE_KEY

          public static final String RESOURCE_KEY

      See Also:
        Constant Field Values

    - #### AUTHENTICATOR_CONFIG_PATH

          public static final String AUTHENTICATOR_CONFIG_PATH

  - ### Constructor Detail

    - #### OAuthConstants

          public OAuthConstants()

Copyright © 2017 WSO2. All rights reserved.